<?php

session_start();
header("Access-Control-Allow-Origin: *");
require_once("./conexao.php");
$conn = conn();
$conn_s = conn_s();

$var[0] = [];
$var[1] = [];


if (!empty($_POST['id'])) {
  $id = $_POST['id'];

  //Pegar Peças
  $getAllProdutos = mysqli_query($conn, "SELECT * FROM (
                                          SELECT id_produto, qtd_produto, qtd_retirada FROM processos_produtos WHERE id_processo = '$id'
                                          UNION
                                          SELECT id_produto, qtd_produto, qtd_retirada FROM processos_produtos_dep WHERE id_processo = '$id'
                                        ) processos_produtos ");
  $count = mysqli_num_rows($getAllProdutos);
  
  if ($count > 0) {
    while($lista = mysqli_fetch_array($getAllProdutos)) {
      $dadosProduto = mysqli_fetch_assoc(mysqli_query($conn_s, "SELECT SQL_ICODBUS,SQL_IDESCRI FROM uni_produtos_web WHERE id = '".$lista['id_produto']."'"));

      array_push($var[0], array(
        "codigo"        => trim($dadosProduto['SQL_ICODBUS']),
        "descricao"     => trim($dadosProduto['SQL_IDESCRI']),
        "qtd_total"     => $lista['qtd_produto'],
        "qtd_retirada"  => !empty($lista['qtd_retirada']) ? $lista['qtd_retirada'] : 0,
      ));
    }
  }

  //Pegar Observações
  $getAllObs = mysqli_query($conn, "SELECT * FROM processos_obs WHERE id_processo = '$id'");
  $count = mysqli_num_rows($getAllObs);
  if ($count > 0) {
    while ($lista = mysqli_fetch_array($getAllObs)) {
      //pegar usuário
      $dadosUser = mysqli_fetch_array(mysqli_query($conn, "SELECT nome FROM user WHERE id = '".$lista['id_user']."'"));

      array_push($var[1], array(
        "usuario"         => $dadosUser['nome'],
        "data"            => date("d-m-Y H:i:s", strtotime($lista['data_cadastro'])),
        "obs"             => !empty($lista['obs_descricao']) ? $lista['obs_descricao'] : "",
      ));

    }
  }
}

echo json_encode($var); 